conundrumです。

仕事の忙しさも一段落しつつあり、Ruby/Tkの勉強をぼちぼちと始めようかな、と考
えているところです。
まずは、Ruby/Tk って、デフォルトのインストールで使えるものなのか?
というところから探っています。ホントの初歩ですね。

Cygwin版では、irb で require 'tk' が OK だったので、ホッとしました。
ActiveScriptRuby では、irb で require 'tk' を実行すると、
下記のダイアログボックスが表示されます。

    tk83.dll が見つからなかったため、このアプリケーションを開始できませんで
した。
    アプリケーションをインストールし直すとこの問題は解決される場合がありま
す。

そして、irb では...

irb(main):001:0> require 'tk'
LoadError: 126: 指定されたモジュールが見つかりません。   - C:/Program 
Files/ruby-1.8/lib/ruby/1.8/i386-mswin32/tcltklib.so
        from C:/Program 
Files/ruby-1.8/lib/ruby/1.8/i386-mswin32/tcltklib.so
        from C:/Program Files/ruby-1.8/lib/ruby/1.8/tk.rb:7
        from (irb):1:in `require'
        from (irb):1

ウェブで調べて、TCL_LIBRARY, TK_LIBRARY という環境変数が大事らしいと知り、
ActiveTcl ( ver8.4 ) をインストールして、tk84.dll, tcl84.dll の場所を環境変
数で
指定してみましたが、状況は改善しませんでした。
やはり tk83 でないと望みはないのかな...

みなさんは、どんなふうにして、ASRやmswin32版で Ruby/Tk を使っていらっしゃる
のでしょうか。
ご助力いただけますと、助かります。

よろしくお願いします。

conundrum / hotmail.co.jp

_________________________________________________________________
無料でメールボックス250MBの 「MSN Hotmail」 
http://promotion.msn.co.jp/hotmail/fortune/input_un.asp